at.chipkarte.client.rez.soap

## Class Dosierung

- Object
- - at.chipkarte.client.rez.soap.Dosierung

-     public class Dosierung
      extends Object

  Dosierung / Einnahmeregel des verschriebenen Medikaments.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dosierung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Einzeldosierung[]` | `getEinzelDosierungen()` Einnahmeregelvariante - Einzeldosierung.
    `Tagesdosierung` | `getTagesDosierung()` Einnahmeregelvariante - Tagesdosierung.
    `EinzeldosierungTage` | `getTagweiseEinzeldosierung()` Einnahmeregelvariante - Einzeldosierung an bestimmten Tagen.
    `TagesdosierungTage` | `getTagweiseTagesDosierung()` Einnahmeregelvariante - Tagesdosierung an bestimmten Tagen.
    `void` | `setEinzelDosierungen(Einzeldosierung[] einzelDosierungen)`
    `void` | `setTagesDosierung(Tagesdosierung tagesDosierung)`
    `void` | `setTagweiseEinzeldosierung(EinzeldosierungTage tagweiseEinzeldosierung)`
    `void` | `setTagweiseTagesDosierung(TagesdosierungTage tagweiseTagesDosierung)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Dosierung

          public Dosierung()

  - ### Method Detail

    - #### getTagesDosierung

          public Tagesdosierung getTagesDosierung()

      Einnahmeregelvariante - Tagesdosierung. Siehe `Tagesdosierung`.
      Angabe: Bedingt. (Es darf nur eine der Einnahmeregelvarianten gesetzt sein.)
      Returns:
        die Tagesdosierung

    - #### setTagesDosierung

          public void setTagesDosierung(Tagesdosierung tagesDosierung)

    - #### getEinzelDosierungen

          public Einzeldosierung[] getEinzelDosierungen()

      Einnahmeregelvariante - Einzeldosierung. Siehe `Einzeldosierung`.
      Format: 0 bis 4, pro Einnahmezeitpunkt ist nur eine Einzeldosierung erlaubt.
      Angabe: Bedingt. (Es darf nur eine der Einnahmeregelvarianten gesetzt sein.)
      Returns:
        die Einzeldosierungen.

    - #### setEinzelDosierungen

          public void setEinzelDosierungen(Einzeldosierung[] einzelDosierungen)

    - #### getTagweiseTagesDosierung

          public TagesdosierungTage getTagweiseTagesDosierung()

      Einnahmeregelvariante - Tagesdosierung an bestimmten Tagen. Siehe `TagesdosierungTage`.
      Angabe: Bedingt. (Es darf nur eine der Einnahmeregelvarianten gesetzt sein.)
      Returns:
        Tagesdosierung für bestimmte Tage.

    - #### setTagweiseTagesDosierung

          public void setTagweiseTagesDosierung(TagesdosierungTage tagweiseTagesDosierung)

    - #### getTagweiseEinzeldosierung

          public EinzeldosierungTage getTagweiseEinzeldosierung()

      Einnahmeregelvariante - Einzeldosierung an bestimmten Tagen. Siehe `EinzeldosierungTage`.
      Angabe: Bedingt. (Es darf nur eine der Einnahmeregelvarianten gesetzt sein.)
      Returns:
        Einzeldosierung für bestimmte Tage.

    - #### setTagweiseEinzeldosierung

          public void setTagweiseEinzeldosierung(EinzeldosierungTage tagweiseEinzeldosierung)